> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Business

> This endpoint updates a business.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the Business to update
</ParamField>

### Body

Note - all fields are optional and can be omitted.

<ParamField body="legal_name" type="string">
  Legal name of the business as it has been registered.
</ParamField>

<ParamField body="us_state" type="enum">
  Two letter state abbreviation. (`AK`, `AL`, `AR`, etc.)
</ParamField>

<ParamField body="activation_at" type="ISO8601 timestamp">
  Start date from which transactions will be classified, displayed, and available for reports. Defaults to current time, but can be specified to a past or future date.
</ParamField>

<ParamField body="naics_code" type="string">
  6-digit NAICS code used to identify the business's industry.
</ParamField>

<ParamField body="unit_accounts" type="array containing UnitAccount objects">
  List of unit accounts associated with this business.

  <Expandable title="properties">
    <ResponseField name="unit_id" type="string">
      The Unit account's ID
    </ResponseField>
  </Expandable>
</ParamField>

<ParamField body="plaid_items" type="array containing PlaidItem objects">
  List of plaid items to connect to this business.

  <Expandable title="properties">
    <ResponseField name="item_id" type="string">
      `item_id` returned by Plaid on the initial link.
    </ResponseField>

    <ResponseField name="access_token" type="string">
      `access_token` returned by Plaid on the initial link.
    </ResponseField>
  </Expandable>
</ParamField>

<ParamField body="plaid_processor_tokens" type="array containing PlaidProcessorToken objects">
  List of plaid processor tokens to connect to this business.

  <Expandable title="properties">
    <ResponseField name="processor_token" type="string">
      `processor_token` returned by Plaid after generating from access\_token.
    </ResponseField>
  </Expandable>
</ParamField>

### Response

Returns the updated [Business Object](/api-reference/business/business)

<RequestExample>
  ```bash Request theme={null}
  curl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb \
    -H "Authorization: Bearer <access_token>" \
    -H "Content-Type: application/json" \
    -d '{
      "legal_name": "New Legal Name LLC",
      "us_state": "NY",
      "unit_accounts": [
        {
          "unit_id": "unit-account-001"
        }
      ],
    }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
      "type": "Business",
      "external_id": "test-acme-id",
      "legal_name": "New Legal Name LLC",
      "tin": "123456789",
      "business_activity_code": null,
      "us_state": "NY",
      "entity_type": "LLC",
      "phone_number": "+16504651359",
      "sms_enabled": true,
      "sms_stopped": false,
      "naics_code": null,
      "imported_at": "2023-06-15T22:12:05.467940Z",
      "updated_at": "2023-06-15T22:12:05.467940Z",
      "archived_at": null,
      "unit_accounts": [
        {
          "id": "unit-account-001",
          "imported_at": "2023-06-16T22:12:05.467940Z"
        }
      ]
    },
    "meta": {}
  }
  ```
</ResponseExample>
